#apt #yocto #sdk #toolchain #yocto #apt #sdk #toolchain


FooBar
 

Hi,

 

I’m having trouble adding apt to the cross-compile Qt SDK toolchain. I’m hoping someone can direct me to some resources or guide me on how to accomplish this task.

 

I have added the following to my conf/local.conf file (I believe some of these lines are not needed, but I followed several different tutorials that told me different things, and I’m not sure which is not right, if any):

 

# Additional Changes                                                                                                                                                                                               

PACKAGE_CLASSES = "package_deb"

EXTRA_IMAGE_FEATURES += " package-management "

IMAGE_FEATURES += " package-management "

IMAGE_INSTALL_append += " apt"

DISTRO_FEATURES_append = " apt cups"

CORE_IMAGE_EXTRA_INSTALL += " apt cups"

TOOLCHAIN_TARGET_TASK_append = " apt cups"

 

I expected after running

 

bitbake meta-toolchain-qt5
bitbake apt –c populate_sdk

bitbake package-index

 

And running

 

tmp/deploy/sdk/<qt5-toolchain>.sh

 

Then sourcing:

 

. /opt/<path>/4.14-sumo/environment-setup-aarch64-poky-linux

 

And using the toolchain to build… I get

 

apt-pkg/pkgcache.h: No such file or directory

 

How would I go about adding apt properly? It does not seem to be finding the headers or resources for it in the sdk toolchain.

 

Thanks,

 

FooBar

Join yocto@lists.yoctoproject.org to automatically receive all group messages.